## NAME

t.list.py - Lists space time datasets and maps registered in the temporal database.

## KEYWORDS

temporal, map management, list

## SYNOPSIS

t.list.py
t.list.py --help
t.list.py [-c] [type=string] [temporaltype=name[,name,...]] [order=string[,string,...]] [columns=string[,string,...]] [where=sql_query] [separator=character] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Print the column names as first row
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

type=string
  Type of the space time dataset or map, default is strds
  Options: strds, str3ds, stvds, raster, raster_3d, vector
  Default: strds
temporaltype=name[,name,...]
  The temporal type of the space time dataset
  Options: absolute, relative
  Default: absolute,relative
order=string[,string,...]
  Sort the space time dataset by category
  Columns number_of_maps and granularity only available for space time datasets
  Options: id, name, creator, mapset, number_of_maps, creation_time, start_time, end_time, interval, north, south, west, east, granularity
  Default: id
columns=string[,string,...]
  Columns to be printed to stdout
  Columns number_of_maps and granularity only available for space time datasets
  Options: id, name, creator, mapset, number_of_maps, creation_time, start_time, end_time, north, south, west, east, granularity, all
  Default: id
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'
separator=character
  Field separator
  Field separator character between the output columns
  Default: pipe

## DESCRIPTION

t.list lists any dataset that is registered in the temporal database. Datasets are raster, 3D raster and vector maps as well as their corresponding space time datasets (STRDS, STR3DS and STVDS). The type of the dataset can be specified using the type option, default is STRDS. By default all datasets with relative and absolute time are listed. However, the user has the ability to specify a single temporal type with the temporaltype option. The user can define the columns that should be printed for each dataset and the order of the datasets. In addition a SQL WHERE statement can be specified to select a subset of the requested datasets.

## NOTE

The SQL where and sort expression will be applied for each temporal database that was found in accessible mapsets. Hence sorting works only on mapset basis.

## EXAMPLES

In order to obtain the list of raster space time dataset

    t.list strds
    ----------------------------------------------
    Space time raster datasets with absolute time available in mapset <climate_2000_2012>:
    tempmean_monthly@climate_2000_2012

Tha user can obtain also the list of raster contained into temporal datasets

    t.list rast
    Time stamped raster maps with absolute time available in mapset <climate_2000_2012>:
    2009_01_tempmean@climate_2000_2012
    2009_02_tempmean@climate_2000_2012
    2009_03_tempmean@climate_2000_2012
    ...
    2012_10_tempmean@climate_2000_2012
    2012_11_tempmean@climate_2000_2012
    2012_12_tempmean@climate_2000_2012

## SEE ALSO

g.list, t.create, t.info, t.rast.list, t.rast3d.list, t.vect.list

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2014-12-26 23:44:16 +0100 (pá, 26 XII 2014) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual